(function (factory) {
  typeof define === 'function' && define.amd ? define(factory) :
  factory();
}((function () { 'use strict';

  /*
  Language: Vue.js
  Requires: xml.js, javascript.js, typescript.js, css.js, stylus.js, scss.js
  Author: Sara Lissette Luis Ibáñez <lissette.ibnz@gmail.com>
  Description: Single-File Components of Vue.js Framework
  */
  var module = module ? module : {};

  function hljsDefineVue(hljs) {
    return {
      subLanguage: "xml",
      contains: [
        hljs.COMMENT("<!--", "-->", {
          relevance: 10,
        }),
        {
          begin: /^(\s*)(<script>)/gm,
          end: /^(\s*)(<\/script>)/gm,
          subLanguage: "javascript",
          excludeBegin: true,
          excludeEnd: true,
        },
        {
          begin: /^(?:\s*)(?:<script lang=(["'])ts\1>)/gm,
          end: /^(\s*)(<\/script>)/gm,
          subLanguage: "typescript",
          excludeBegin: true,
          excludeEnd: true,
        },
        {
          begin: /^(\s*)(<style(\s+scoped)?>)/gm,
          end: /^(\s*)(<\/style>)/gm,
          subLanguage: "css",
          excludeBegin: true,
          excludeEnd: true,
        },
        {
          begin: /^(?:\s*)(?:<style(?:\s+scoped)?\s+lang=(["'])(?:s[ca]ss)\1(?:\s+scoped)?>)/gm,
          end: /^(\s*)(<\/style>)/gm,
          subLanguage: "scss",
          excludeBegin: true,
          excludeEnd: true,
        },
        {
          begin: /^(?:\s*)(?:<style(?:\s+scoped)?\s+lang=(["'])stylus\1(?:\s+scoped)?>)/gm,
          end: /^(\s*)(<\/style>)/gm,
          subLanguage: "stylus",
          excludeBegin: true,
          excludeEnd: true,
        },
      ],
    };
  }

  var hljsRegisterVue = function(hljs) {
    hljs.registerLanguage("vue", hljsDefineVue);
  };

  module.exports = hljsRegisterVue;
  module.exports.hljsRegisterVue = hljsRegisterVue;
  module.exports.hljsDefineVue = hljsDefineVue;

  /**
   * @deprecated
   */
  module.exports.definer = hljsDefineVue;

})));
